Bug 457105 - selinux poilcy prevents mounting mail spool on boot
selinux poilcy prevents mounting mail spool on boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 12:48 EDT by Steve Whitehouse
Modified: 2008-11-17 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-07-29 12:48:56 EDT
When I set up my mail spool in fstab for mount on boot I receive the follwing
error messages in the logs:

Jul 29 17:20:43 fogou kernel: type=1400 audit(1217348425.305:4): avc:  denied  {
mounton } for  pid=1496 comm="mount" path="/var/spool/mail" dev=sda3 ino=97348
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:mail_spool_t:s0
tclass=dir
Jul 29 17:20:43 fogou kernel: type=1400 audit(1217348425.305:5): avc:  denied  {
mounton } for  pid=1496 comm="mount" path="/var/spool/mail" dev=sda3 ino=97348
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:mail_spool_t:s0
tclass=dir

This results in the mail spool not being mounted. If I mount the mail spool from
the command line, then it works correctly.
Comment 1 Daniel Walsh 2008-07-29 14:51:17 EDT
setsebool -P allow_mount_anyfile=1

Should fix.
Comment 2 Steve Whitehouse 2008-07-30 04:35:36 EDT
Ok, so far so good, but that doesn't explain why the installer isn't doing this
for me. After all there is no point me creating an fstab full of mounts only to
have one (or potentially more?) of them fail on first mount. Surely I'm not the
only person using f9 who wants to put their mail spool on a separate filesystem?
Comment 3 Daniel Walsh 2008-07-30 10:02:04 EDT
Your the first to report it.

But you convinced me.  

Fixed in selinux-policy-3.3.1-82.fc9.noarch
Comment 4 Daniel Walsh 2008-11-17 17:05:20 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.